package com.goldenwater.slgc.service.impl.pms;

import com.goldenwater.slgc.entity.pms.PmsBidCaller;
import com.goldenwater.slgc.mapper.pms.PmsBidCallerMapper;
import com.goldenwater.slgc.service.pms.IPmsBidCallerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import java.util.List;

@Service
@Transactional
public class PmsBidCallerServiceImpl implements IPmsBidCallerService {
    @Autowired
    private PmsBidCallerMapper pmsBidCallerMapper;

    /**
     * 查询招标列表
     */
    @Override
    public List<PmsBidCaller> selectList(PmsBidCaller bidCaller) {
        return pmsBidCallerMapper.selectList(bidCaller);
    }

    /**
     * 根据主键查询招标
     */
    @Override
    public PmsBidCaller selectById(Long id) {
        return pmsBidCallerMapper.selectById(id);
    }

    /**
     * 新增招标
     */
    @Override
    public int insert(PmsBidCaller bidCaller) {
        return pmsBidCallerMapper.insert(bidCaller);
    }

    /**
     * 修改招标
     */
    @Override
    public int update(PmsBidCaller bidCaller) {
        return pmsBidCallerMapper.update(bidCaller);
    }

    /**
     * 删除招标
     */
    @Override
    public int deleteById(Long id) {
        return pmsBidCallerMapper.deleteById(id);
    }

    /**
     * 批量删除招标
     */
    @Override
    public int deleteByIds(Long[] ids) {
        return pmsBidCallerMapper.deleteByIds(ids);
    }
}
